Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorChristian W. Damus2015-06-17 16:32:28 +0000
committerChristian W. Damus2015-06-17 16:34:05 +0000
commit375f89b099e0c28f0a46eee440873bcf3c178560 (patch)
treef4ea0f389522f19fa5ee4aa1c93d936af1daa29e /plugins/developer
parente4e4f5e22efda2f38904c34fde6f278744100be6 (diff)
downloadorg.eclipse.papyrus-375f89b099e0c28f0a46eee440873bcf3c178560.tar.gz
org.eclipse.papyrus-375f89b099e0c28f0a46eee440873bcf3c178560.tar.xz
org.eclipse.papyrus-375f89b099e0c28f0a46eee440873bcf3c178560.zip
Bug 470410: [Dev] Developer docs generator requires JRE 1.7 but declares 1.6
https://bugs.eclipse.org/bugs/show_bug.cgi?id=470410 Fix JRE library dependency.
Diffstat (limited to 'plugins/developer')
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.developer.mde/.classpath2
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.developer.mde/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF5
3 files changed, 5 insertions, 8 deletions
diff --git a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.classpath b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.classpath
index ad32c83a788..098194ca4b7 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.classpath
+++ b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.classpath
@@ -1,6 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.6"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
<classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
<classpathentry kind="src" path="src"/>
<classpathentry kind="output" path="bin"/>
diff --git a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.settings/org.eclipse.jdt.core.prefs b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.settings/org.eclipse.jdt.core.prefs
index 94d61f00da6..f08be2b06c4 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.settings/org.eclipse.jdt.core.prefs
+++ b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/.settings/org.eclipse.jdt.core.prefs
@@ -1,10 +1,10 @@
eclipse.preferences.version=1
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.6
-org.eclipse.jdt.core.compiler.compliance=1.6
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.compliance=1.7
org.eclipse.jdt.core.compiler.problem.assertIdentifier=error
org.eclipse.jdt.core.compiler.problem.enumIdentifier=error
-org.eclipse.jdt.core.compiler.source=1.6
+org.eclipse.jdt.core.compiler.source=1.7
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_annotation=0
diff --git a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
index cac56edaa66..7696181e03c 100644
--- a/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
+++ b/plugins/developer/org.eclipse.papyrus.uml.developer.mde/META-INF/MANIFEST.MF
@@ -27,10 +27,7 @@ Bundle-Name: %pluginName
Bundle-Localization: plugin
Bundle-ManifestVersion: 2
Bundle-Activator: org.eclipse.papyrus.uml.developper.mde.Activator
-Bundle-Description: The goal of this plugin is to bring a template and
- profile to document plugins development, transromation to generate d
- ocument model, and a very simple of document generator.
Bundle-SymbolicName: org.eclipse.papyrus.uml.developer.mde;singleton:=
true
-Bundle-RequiredExecutionEnvironment: JavaSE-1.6
+Bundle-RequiredExecutionEnvironment: JavaSE-1.7
Bundle-Description: %pluginDescription

Back to the top